Bug 443088 - gui crashes when i18n is not UTF-8
gui crashes when i18n is not UTF-8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 12:04 EDT by Rudi Salm
Modified: 2009-01-09 01:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Salm 2008-04-18 12:04:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.9 (like Gecko)

Description of problem:
when i set up i18n to

LANG="de_DE.iso885915@euro"
SYSFONT="latarcyrheb-sun16"
SUPPORTED="de_DE.UTF-8:de_DE:de"

system-config-network chrashes while adding a new networkadapter e.g. wireless 
card or so.

Version-Release number of selected component (if applicable):
system-config-network-1.4.7-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. set i18n to the values above and reboot.
2. confirm that locale is LANG="de_DE.iso885915@euro" and so on.
3. try to add a new network device over button NEW and follow the wizzard to 
the end.
4. system-config-network chrashes with the following message:

Component: system-config-network
Version: 1.4.7
Summary: TB5c2a8102 
WirelessInterface.py:323:on_finish_page_prepare:UnicodeDecodeError: 'utf8' 
codec can't decode bytes in position 36-38: invalid data

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/WirelessInterface.py", 
line 323, in on_finish_page_prepare
    s = s + "(" + hw.Description + ")"
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 36-38: invalid 
data

Local variables in innermost frame:
druid_page: <gnome.ui.DruidPageEdge object at 0x9bd5d74 (GnomeDruidPageEdge at 
0x9c921f8)>
self: <netconfpkg.gui.WirelessInterface.WirelessInterface instance at 
0x9be20ac>
wl: Wireless.Rate=Auto
Wireless.Mode=Managed
Wireless.Key=
Wireless.Channel=1
Wireless.EssId=

hardwarelist: HardwareList.Ethernet.eth0.Status=Ok
HardwareList.Ethernet.eth0.Name=eth0
HardwareList.Ethernet.eth0.Type=Ethernet
HardwareList.Ethernet.eth0.Card.ModuleName=via-rhine
HardwareList.Ethernet.eth0.Description=VIA Technologies, Inc. VT6102 
[Rhine-II]
HardwareList.Wireless.wlan0.Status=System
HardwareList.Wireless.wlan0.Name=wlan0
HardwareList.Wireless.wlan0.Type=Wireless
HardwareList.Wireless.wlan0.Card.ModuleName=zd1211rw
HardwareList.Wireless.wlan0.Description=Fiberline WL-430U

hw: Hardware.Status=System
Hardware.Name=wlan0
Hardware.Type=Wireless
Hardware.Card.ModuleName=zd1211rw
Hardware.Description=Fiberline WL-430U

druid: <gnome.ui.Druid object at 0x9bd4a7c (GnomeDruid at 0x9f628d0)>

Actual Results:
This happens also while adding an atheros card and other ones.

If i set i18n back to UTF-8 it works with all adapters.

Expected Results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 05:30:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:23:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.